# Test!

# Introduction  {#index}

This is a minimal example of a book based on R Markdown and
**bookdown**, that can be hosted and edited on GitLab.

## R Markdown Examples

You can use anything that Pandoc's Markdown supports, for example a
math equation like this: ` $a^2 + b^2 = c^2$ ` is rendered like this:
$a^2 + b^2 = c^2$.

Remember each Rmd file contains one and only one chapter, and a
chapter is defined by the first-level heading `#`.

You can label chapter and section titles using `{#label}` after them,
e.g., we can reference Chapter \@ref(programing). If you do not manually
label them, there will be automatic labels anyway, e.g., Chapter
\@ref(applications).

Figures and tables with captions will be placed in `figure` and
`table` environments, respectively.

```{r nice-fig, fig.cap='Here is a nice figure!', out.width='80%', fig.asp=.75, fig.align='center'}
par(mar = c(4, 4, .1, .1))
plot(pressure, type = 'b', pch = 19)
```

Reference a figure by its code chunk label with the `fig:` prefix,
e.g., see Figure \@ref(fig:nice-fig). Similarly, you can reference
tables generated from `knitr::kable()`, e.g., see Table
\@ref(tab:nice-tab).

```{r nice-tab, tidy=FALSE}
knitr::kable(
  head(iris, 20), caption = 'Here is a nice table!',
  booktabs = TRUE
)
```

You can write citations, too. For example, we are using the
**bookdown** package [@R-bookdown] in this sample book, which was
built on top of R Markdown and **knitr** [@xie2015].

## Installing Bookdown

The **bookdown** package can be installed from CRAN or Github:

```{r eval=FALSE}
install.packages("bookdown")
# or the development version
# devtools::install_github("rstudio/bookdown")
```

To compile this example to PDF, you need XeLaTeX. You are recommended
to install TinyTeX (which includes XeLaTeX):
<https://yihui.name/tinytex/>.

```{r include=FALSE}
# automatically create a bib database for R packages
knitr::write_bib(c(
  .packages(), 'bookdown', 'knitr', 'rmarkdown'
), 'packages.bib')
```

Please see https://bookdown.org/yihui/bookdown/get-started.html for
mode details.


## Version

The latest version of this book is at:
http://dashohoxha.gitlab.io/bookdown-example/

Corrections or improvements can be suggested at:
https://gitlab.com/dashohoxha/bookdown-example

## License

![](assets/images/cc.png)

This work is licensed under a [Creative Commons Attribution-ShareAlike
4.0 Unported License](http://creativecommons.org/licenses/by-sa/4.0/).
